digiKam Developer Documentation: Digikam::AutotagsClassifierSoftmax Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::AutotagsClassifierSoftmax Class Reference
Inheritance diagram for Digikam::AutotagsClassifierSoftmax:

## Public Member Functions
| AutotagsClassifierSoftmax (float _threshold, const QString &predefinedClassFile)
virtual int | predict (const cv::Mat &target, const QList< int > &exclusionLabelList=QList< int >()) const override
virtual int | predict (const cv::UMat &target, const QList< int > &exclusionLabelList=QList< int >()) const override
virtual QList< int > | predictMulti (const QList< cv::Mat > &targets) const override
virtual QList< int > | predictMulti (const QList< cv::UMat > &targets) const override
Public Member Functions inherited from Digikam::AutotagsClassifierBase
| AutotagsClassifierBase (float _threshold, const QString &_predefinedClassFile)
QList< QString > | getClassStrings (const QList< int > &labelList) const
bool | retrain () override
Public Member Functions inherited from Digikam::MLClassifierFoundation
void | setThreshold (float _threshold)

## Additional Inherited Members
Protected Member Functions inherited from Digikam::AutotagsClassifierBase
bool | loadTrainingData () override
Protected Attributes inherited from Digikam::AutotagsClassifierBase
QList< QString > | predefinedClasses
QString | predefinedClassFile
Protected Attributes inherited from Digikam::MLClassifierFoundation
QReadWriteLock | lock
float | threshold = 0.0F

## Member Function Documentation

## ◆ predict() [1/2]

int Digikam::AutotagsClassifierSoftmax::predict | ( | const cv::Mat & | target,
|  | const QList< int > & | exclusionLabelList = `QList<int>()`
| ) |  | const
| overridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ predict() [2/2]

int Digikam::AutotagsClassifierSoftmax::predict | ( | const cv::UMat & | target,
|  | const QList< int > & | exclusionLabelList = `QList<int>()`
| ) |  | const
| overridevirtual

Implements Digikam::MLClassifierFoundation.

## ◆ predictMulti() [1/2]

QList< int > Digikam::AutotagsClassifierSoftmax::predictMulti | ( | const QList< cv::Mat > & | targets | ) | const
| overridevirtual

Reimplemented from Digikam::AutotagsClassifierBase.

## ◆ predictMulti() [2/2]

QList< int > Digikam::AutotagsClassifierSoftmax::predictMulti | ( | const QList< cv::UMat > & | targets | ) | const
| overridevirtual

Reimplemented from Digikam::AutotagsClassifierBase.